Class | Pathname
In: | lib/facets/core/pathname/op_div.rb lib/facets/core/pathname/ascend.rb lib/facets/core/pathname/descend.rb
Parent: | Object

### Methods

ascend descend

### External Aliases

+ | -> | /

### Public Instance methods

ascend(inclusive=false) {|| ...}

Calls the block for every successive parent directory of the directory path until the root (absolute path) or +.+ (relative path) is reached.

descend() {|Pathname.new(path << dir)| ...}

Calls the block for every successive subdirectory of the directory path from the root (absolute path) unitl +.+ (relative path) is reached.

[Validate]